#!/bin/csh
# This script tests the password-handling mechanism for external pollers
set epwd = `getpasswd.ksh $argv`
if ($status != 0) then
   echo "EXPASS: Argument parsing failed. Test fails."
   exit 1
endif
echo "EXPASS: Received encrypted password- $epwd"
set pwd = `crypto -d $epwd`
if ( $pwd == "" ) then
   echo "EXPASS: ***CRYPTO FAILED*** Test fails."
   exit 1
endif
echo "EXPASS: crypto decrypts password as $pwd"
echo "EXPASS: Complete. Have a nice day."
exit 1
